Bug 130523 - new port: multimedia/py-kaa-imlib2 KAA media repository
Summary: new port: multimedia/py-kaa-imlib2 KAA media repository
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-14 00:10 UTC by J.R. Oldroyd
Modified: 2009-01-31 12:00 UTC (History)
0 users

See Also:


Attachments
file.shar (3.59 KB, text/plain)
2009-01-14 00:10 UTC, J.R. Oldroyd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2009-01-14 00:10:02 UTC
new port: multimedia/py-kaa-imlib2 KAA media repository - imlib2 wrapper
Comment 1 Edwin Groothuis freebsd_committer 2009-01-14 00:10:24 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-01-14 00:10:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 J.R. Oldroyd 2009-01-16 21:21:12 UTC
Please add the following dependency to the Makefile.

LIB_DEPENDS=	Imlib2:${PORTSDIR}/graphics/imlib2

Thanks.
	-jr
Comment 4 J.R. Oldroyd 2009-01-20 19:24:31 UTC
On Fri, 16 Jan 2009 16:21:12 -0500, "J.R. Oldroyd" <fbsd@opal.com> wrote:
>
> Please add the following dependency to the Makefile.
> 
> LIB_DEPENDS=	Imlib2:${PORTSDIR}/graphics/imlib2
> 
> Thanks.
> 	-jr

Actually, this would be better specified as:

USE_EFL=	imlib2


Also, please change:
MASTER_SITE_SUBDIR=    kaa-imlib2
to:
MASTER_SITE_SUBDIR=    freevo
Comment 5 Beech Rintoul freebsd_committer 2009-01-30 09:28:07 UTC
Responsible Changed
From-To: freebsd-python->beech

I'll take (part of an upgrade)
Comment 6 dfilter service freebsd_committer 2009-01-31 11:58:29 UTC
beech       2009-01-31 11:58:20 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/py-kaa-imlib2 Makefile distinfo pkg-descr pkg-plist 
  Log:
  The Kaa Media Repository is a set of python modules related to
  media.
  
  Kaa modules are based on parts from Freevo and modules created for
  MeBox. Kaa exists to encourage code sharing between these projects,
  and to serve as an umbrella for several previously disparate
  media-related modules in order to make them available from one
  (unique) namespace.
  
  Kaa provides a base module that implements the common features
  needed for application development, such as mainloop management,
  timers, signals, callbacks, file descriptor monitors, etc. Kaa's
  other modules provide specific media-related functionality, such
  as retrieving metadata on arbitrary media files (kaa.metadata,
  previously called mmpython), Python wrappers for Imlib2, Xine, and
  Evas, and many other high level APIs for easily creating applications
  that deal with video and audio.
  
  Kaa is named after the python character in the Jungle Book by Rudyard
  Kipling.
  
  WWW: http://doc.freevo.org/2.0/Kaa
  
  PR:             ports/130523
  Submitted by:   J.R. Oldroyd <fbsd at opal.com>
  
  Revision  Changes    Path
  1.296     +1 -0      ports/multimedia/Makefile
  1.1       +25 -0     ports/multimedia/py-kaa-imlib2/Makefile (new)
  1.1       +3 -0      ports/multimedia/py-kaa-imlib2/distinfo (new)
  1.1       +22 -0     ports/multimedia/py-kaa-imlib2/pkg-descr (new)
  1.1       +14 -0     ports/multimedia/py-kaa-imlib2/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Beech Rintoul freebsd_committer 2009-01-31 11:58:45 UTC
State Changed
From-To: open->closed

Committed, Thanks!